# ChangeLog for app-arch/tar
# Copyright 1999-2006 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/app-arch/tar/ChangeLog,v 1.61 2006/03/09 19:56:32 dertobi123 Exp $

  09 Mar 2006; Tobias Scherbaum <dertobi123@gentoo.org>
  tar-1.15.1-r1.ebuild:
  ppc stable, bug #123038

  09 Mar 2006; Jose Luis Rivero <yoswink@gentoo.org> tar-1.15.1-r1.ebuild:
  Stable on alpha wrt sec bug #123038

  08 Mar 2006; Markus Rothe <corsair@gentoo.org> tar-1.15.1-r1.ebuild:
  Stable on ppc64; bug #123038

  08 Mar 2006; Mark Loeser <halcy0n@gentoo.org> tar-1.15.1-r1.ebuild:
  Stable on x86; bug #123038

  08 Mar 2006; Mike Doty <kingtaco@gentoo.org> tar-1.15.1-r1.ebuild:
  amd64 stable bug 123038

  08 Mar 2006; <plasmaroo@gentoo.org> tar-1.15.1-r1.ebuild:
  Stable on IA64; bug #123038.

  07 Mar 2006; Gustavo Zacarias <gustavoz@gentoo.org> tar-1.15.1-r1.ebuild:
  Stable on sparc wrt security #123038

  07 Mar 2006; Jeroen Roovers <jer@gentoo.org> tar-1.15.1-r1.ebuild:
  Stable on hppa (bug #123038).

*tar-1.15.1-r1 (07 Mar 2006)

  07 Mar 2006; <solar@gentoo.org> +files/tar-CVE-2006-0300.patch,
  +tar-1.15.1-r1.ebuild:
  - security bump. numerous bugs in xheader.c ; CVE-2006-0300 ; bug 123038

  12 Aug 2005; Diego Pettenò <flameeyes@gentoo.org> tar-1.15.1.ebuild:
  Remove the charset.alias file (created on non-GNU systems, useless here).

  12 Aug 2005; Mike Frysinger <vapier@gentoo.org> tar-1.15.1.ebuild:
  Add support for renaming tar on non-GNU systems #96363.

  17 Jun 2005; Mike Frysinger <vapier@gentoo.org>
  +files/tar-1.15.1-lseek.patch, tar-1.15.1.ebuild:
  Add patch from upstream cvs / fedora.

  17 Jun 2005; Mike Frysinger <vapier@gentoo.org>
  +files/tar-1.15.1-less-verbose-newer.patch, tar-1.15.1.ebuild:
  Make --newer option not so verbose #86467 by Johny.

  28 May 2005; Mike Frysinger <vapier@gentoo.org> +files/append.at,
  tar-1.15.1.ebuild:
  Add missing append.at test #86878 by R Hill.

  27 Apr 2005; Mike Frysinger <vapier@gentoo.org>
  +files/tar-1.15.1-dont-abort-long-names.patch, tar-1.15.1.ebuild:
  Dont abort with long file names in archives #87540 by Jim Faulkner.

  08 Apr 2005; Markus Rothe <corsair@gentoo.org> tar-1.15.1.ebuild:
  Stable on ppc64

  07 Apr 2005; Mike Frysinger <vapier@gentoo.org>
  +files/tar-1.15.1-gcc4-test.patch, tar-1.15.1.ebuild:
  Add patch from Fedora to fix tests with gcc4 #88214 by Ryan Hill.

  27 Mar 2005; Michael Hanselmann <hansmi@gentoo.org> tar-1.15.1.ebuild:
  Stable on ppc.

  26 Mar 2005; Bryan Østergaard <kloeri@gentoo.org> tar-1.15.1.ebuild:
  Stable on alpha.

  22 Mar 2005; Gustavo Zacarias <gustavoz@gentoo.org> tar-1.15.1.ebuild:
  Stable on sparc

  05 Jan 2005; Mike Frysinger <vapier@gentoo.org>
  +files/1.15.1-flex-arg.patch, tar-1.15.1.ebuild:
  Add patch from upstream to make arguements more flexible #71076 by FieldySnuts.

*tar-1.15.1 (05 Jan 2005)

  05 Jan 2005; Mike Frysinger <vapier@gentoo.org> +tar-1.15.1.ebuild:
  Version bump.

  28 Dec 2004; Ciaran McCreesh <ciaranm@gentoo.org> :
  Change encoding to UTF-8 for GLEP 31 compliance

  03 Nov 2004; Travis Tilley <lv@gentoo.org> +files/1.14.90-optimize.patch,
  tar-1.14.90-r1.ebuild:
  added a patch from James Couzens that fixes building tar 1.14.90 with newer
  glibc snapshots

*tar-1.14.90-r1 (16 Oct 2004)

  16 Oct 2004; Aron Griffis <agriffis@gentoo.org>
  +files/1.14.90-scripts.patch, +tar-1.14.90-r1.ebuild:
  Install the backup/restore scripts that are described in the tar info pages
  (as backup-tar and restore-tar so they don't conflict with app-arch/dump).
  Move cflags manglement to src_compile where it belongs

  12 Oct 2004; Mike Frysinger <vapier@gentoo.org> tar-1.14.90.ebuild:
  Add a workaround to handle a bug in tar #67051.

  11 Oct 2004; Mike Frysinger <vapier@gentoo.org>
  +files/1.14.90-gnulib.patch, tar-1.14.90.ebuild:
  Add a patch from the gnulib cvs to fix #67038 by joecool.

  10 Oct 2004; Seemant Kulleen <seemant@gentoo.org> :
  add metadata

  10 Oct 2004; Seemant Kulleen <seemant@gentoo.org> tar-1.14.90.ebuild:
  added ~seemant to SRC_URI until it propagates to the mirrors

  10 Oct 2004; Mike Frysinger <vapier@gentoo.org>
  +files/1.14.90-tests.patch, tar-1.14.90.ebuild:
  Add patch from upstream cvs to fix tests #67023 by Hanno Meyer-Thurow.

  10 Oct 2004; Mike Frysinger <vapier@gentoo.org>
  +files/1.14.90-remote-shell.patch, tar-1.14.90.ebuild:
  Fix build failure when rsh doesnt exist #66959 by Didier Link.

  10 Oct 2004; Jeremy Huddleston <eradicator@gentoo.org> tar-1.14.90.ebuild:
  Fixed SRC_URI.

*tar-1.14.90 (10 Oct 2004)

  10 Oct 2004; Mike Frysinger <vapier@gentoo.org> +tar-1.14.90.ebuild:
  Version bump.

  05 Oct 2004; Pieter Van den Abeele <pvdabeel@gentoo.org>
  tar-1.13.92-r3.ebuild, tar-1.14.ebuild:
  Masked tar-1.14.ebuild stable for ppc

  05 Oct 2004; Pieter Van den Abeele <pvdabeel@gentoo.org>
  tar-1.13.92-r3.ebuild:
  Masked tar-1.13.92-r3.ebuild stable for ppc

  15 Jul 2004; Gustavo Zacarias <gustavoz@gentoo.org> tar-1.14.ebuild:
  Stable on sparc

  07 Jul 2004; Travis Tilley <lv@gentoo.org> tar-1.14.ebuild:
  stable on amd64

  05 Jul 2004; Joshua Kinard <kumba@gentoo.org> tar-1.14.ebuild:
  Marked stable on mips.

  03 Jul 2004; Guy Martin <gmsoft@gentoo.org> tar-1.14.ebuild:
  Marked stable on hppa.

  29 Jun 2004; Michael Sterrett <mr_bones_@gentoo.org> tar-1.14.ebuild:
  Use append-ldflags for static support instead of overriding LDFLAGS

  29 Jun 2004; Aron Griffis <agriffis@gentoo.org> tar-1.14.ebuild:
  stable on x86, alpha, ia64

  25 Jun 2004; <solar@gentoo.org> tar-1.13.92-r3.ebuild, tar-1.14.ebuild:
  uclibc update

  15 Jun 2004; <solar@gentoo.org> tar-1.13.92-r3.ebuild, tar-1.13.94.ebuild,
  tar-1.14.ebuild:
  USE=build cleanups

  26 May 2004; <tuxus@gentoo.org> tar-1.13.92-r3.ebuild:
  Stable on mips

*tar-1.14 (26 May 2004)

  26 May 2004; Michael Sterrett <mr_bones_@gentoo.org> tar-1.14.ebuild:
  version bump

  04 May 2004; Bryan Østergaard <kloeri@gentoo.org> tar-1.13.92-r3.ebuild:
  Stable on alpha.

  04 May 2004; Bryan Østergaard <kloeri@gentoo.org> tar-1.13.92-r3.ebuild:
  Stable on alpha.

  04 May 2004; Guy Martin <gmsoft@gentoo.org> tar-1.13.92-r3.ebuild:
  Marked stable on hppa.

  28 Apr 2004; Gustavo Zacarias <gustavoz@gentoo.org> tar-1.13.92-r3.ebuild:
  Stable on sparc

  27 Apr 2004; Daniel Ahlberg <aliz@gentoo.org> tar-1.13.92-r3.ebuild:
  Unmask on x86.

  26 Apr 2004; Michael McCabe <randy@gentoo.org> tar-1.13.94.ebuild:
  Marked stable on s390

*tar-1.13.94 (10 Apr 2004)

  10 Apr 2004; Michael Sterrett <mr_bones_@gentoo.org> tar-1.13.94.ebuild:
  version bump; two patches from 1.13.92 were integrated upstream

  10 Apr 2004; Michael Sterrett <mr_bones_@gentoo.org> tar-1.13.25-r3.ebuild,
  tar-1.13.92-r3.ebuild:
  don't assign default to S; "`use foo`" -> use foo

  12 Mar 2004; Daniel Ahlberg <aliz@gentoo.org> tar-1.13.92-r3.ebuild:
  amd64 unmask.

  02 Mar 2004; Brian Jackson <iggy@gentoo.org> tar-1.13.92-r3.ebuild:
  adding initial s390 support

*tar-1.13.92-r3 (11 Jan 2004)

  11 Jan 2004; Martin Schlemmer <azarah@gentoo.org> tar-1.13.92-r3.ebuild,
  files/tar-1.13.92-fix-one_file_system.patch:
  Fix -l, --one-file-system option to actually work.

*tar-1.13.92-r2 (11 Jan 2004)

  11 Jan 2004; Martin Schlemmer <azarah@gentoo.org> tar-1.13.92-r2.ebuild,
  files/tar-1.13.92-dont-strip-dot_slash.patch:
  Do not strip './' in path elements, as they are valid, bug #37132. This is
  the proper fix from CVS.

*tar-1.13.92-r1 (04 Jan 2004)

  04 Jan 2004; Seemant Kulleen <seemant@gentoo.org> tar-1.13.25-r3.ebuild,
  tar-1.13.92-r1.ebuild, tar-1.13.92.ebuild,
  files/tar-1.13.92-hardcode-absolute-names-to-on.diff:
  Add Tony Vroon's <tony@vroon.org> patch to force tar to NOT remove the leading
  ./, which is apparently a new issue, and evidently a very buggy one. Thanks to
  Spanky and Tony for looking at the source (bug #37132). Apologies to all the
  duplicate bug reporters.

*tar-1.13.92 (28 Dec 2003)

  28 Dec 2003; Seemant Kulleen <seemant@gentoo.org> tar-1.13.92.ebuild,
  files/tar-1.13.19-r1-gentoo.diff, files/tar-1.13.19.patch:
  added updated version from alpha.gnu to all arches for testing

*tar-1.13.25-r3 (13 Nov 2003)

  13 Nov 2003; Seemant Kulleen <seemant@gentoo.org> tar-1.13.25-r3.ebuild,
  files/tar-1.13.19-r1-gentoo.diff, files/tar-1.13.19.patch,
  files/tar-1.13.25-r3.gentoo.diff, files/tar.1:
  Moved from sys-apps to app-arch

  02 Nov 2003; Jason Wever <weeve@gentoo.org> tar-1.13.25-r3.ebuild:
  Added sparc keyword.

  01 Nov 2003; Seemant Kulleen <seemant@gentoo.org> tar-1.13.25-r1.ebuild,
  tar-1.13.25-r2.ebuild, tar-1.13.25-r3.ebuild:
  src_uri fix to add gentoo mirrors first, since the gnu mirrors are still outta
  whack. Closes bug #32521 by Stony Yakovac <stonyy@tek.com>

  28 Oct 2003; Chris PeBenito <pebenito@gentoo.org> tar-1.13.25-r3.ebuild:
  Remove unneeded old API SELinux patch

  02 Sep 2003; Martin Holzer <mholzer@gentoo.org> tar-1.13.25-r1.ebuild,
  tar-1.13.25-r2.ebuild, tar-1.13.25-r3.ebuild:
  Now uses mirror://gnu.

*tar-1.13.25-r3 (23 Mar 2003)

  20 May 2003; Joshua Kinard <kumba@gentoo.org> tar-1.13.25-r3.ebuild:
  Added gnuconfig eclass to support linux-mips targets

  23 Mar 2003; Joshua Brindle <method@gentoo.org> tar-1.13.25-r3.ebuild:
  added selinux support

  20 Feb 2003; Zach Welch <zwelch@gentoo.org> tar-1-13-25-r3.ebuild :
  Added arm to keywords.

  09 Feb 2003; Guy Martin <gmsoft@gentoo.org> tar-1-13-25-r3.ebuild :
  Added hppa to keywords.

  06 Dec 2002; Rodney Rees <manson@gentoo.org> : changed sparc ~sparc keywords
 
*tar-1-13-25-r3 (01 Oct 2002)

  18 Jan 2003; Jan Seidel <tuxus@gentoo.org> :
  Added mips to keywords

  01 Oct 2002; Daniel Ahlberg <aliz@gentoo.org> :
  Security update. Added patch developed by Redhat to fix directory traversals.

  09 Dec 2002; Jon Portnoy <avenj@gentoo.org> :
  Updated ebuild to work with USE="icc", no need to up the revision 
  number.

  10 Dec 2002; Jon Portnoy <avenj@gentoo.org> :
  Moved USE="icc" into r4 to prevent blocked deps with icc-7.0.

*tar-1.13.19-r1.ebuild (14 July 2002)

  16 Aug 2002; Seemant Kulleen <seemant@gentoo.org> tar-1.13.25-r2.ebuild :

  Added gzip, bzip2 and ncompress to DEPEND list.  Closes bug #6611 by
  laurent.mouillart@free.fr (Laurent Mouillart)

  14 Jul 2002; phoen][x <phoenix@gentoo.org> tar-1.13.19.ebuild :
  Added LICENSE, KEYWORDS, SLOT.

  14 Jul 2002; phoen][x <phoenix@gentoo.org> tar-1.13.19-r1.ebuild :
  Added LICENSE, KEYWORDS, SLOT.

*tar-1.13.18-r4.ebuild (14 July 2002)

  14 Jul 2002; phoen][x <phoenix@gentoo.org> tar-1.13.18-r4.ebuild :
  Added LICENSE, KEYWORDS, SLOT.

*tar-1.13.25-r2 (12 Apr 2002)

  14 Jul 2002; phoen][x <phoenix@gentoo.org> tar-1.13.25.ebuild :
  Added LICENSE, KEYWORDS, SLOT.

  14 Jul 2002; phoen][x <phoenix@gentoo.org> tar-1.13.25-r2.ebuild :
  Added LICENSE, KEYWORDS, SLOT.
  12 Apr 2002; Spider <spider@gentoo.org> :
  Updating the tar with a symlink in /etc that allows remote-tar to work properly.
  Fix a cd to make dodoc and doman work
  Credit to  Daniel Mettler <mettlerd@icu.unizh.ch> for the patch for rmt
  
  
*tar-1.13.25-r1 (1 Feb 2002)

  14 Jul 2002; phoen][x <phoenix@gentoo.org> tar-1.13.25-r1.ebuild :
  Added LICENSE, KEYWORDS, SLOT.

  1 Feb 2002; G.Bevin <gbevin@gentoo.org> ChangeLog :
  
  Added initial ChangeLog which should be updated whenever the package is
  updated in any way. This changelog is targetted to users. This means that the
  comments should well explained and written in clean English. The details about
  writing correct changelogs are explained in the skel.ChangeLog file which you
  can find in the root directory of the portage repository.
